<!DOCTYPE html>
<html lang="en-US">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<body >
	
	<div ng-app="myApp" ng-controller="namesCtrl">

		<ul>
			<li>
				<p><input type="text" ng-model="test"></p>
			</li>
			<li>
				<button ng-click="orderByMe('name')">Name</th>
				<button ng-click="orderByMe('country')">Country</th>
			</li>
			<!-- FILTER orderBy:'country and filter by strings that contains 'y'-->
		  <li ng-repeat="x in names | orderBy:'country' | filter: 'y' |  filter:test | orderBy:myOrderBy">
			{{ x.name + ', ' + x.country }}
		  </li>
		</ul>

		<h1>Price: {{ price | currency }}</h1>
	
		
	
	</div>
	
	<script>
	var app = angular.module('myApp', []).controller('namesCtrl', function($scope) {
		$scope.names = [
			{name:'Jani',country:'Norway'},
			{name:'Carl',country:'Sweden'},
			{name:'Margareth',country:'England'},
			{name:'Hege',country:'Norway'},
			{name:'Joe',country:'Denmark'},
			{name:'Gustav',country:'Sweden'},
			{name:'Birgit',country:'Denmark'},
			{name:'Mary',country:'England'},
			{name:'Kai',country:'Norway'}
		];
		
		$scope.price = 58;
		
		$scope.orderByMe = function(x) {
			$scope.myOrderBy = x;
		}
		
	});
	
	
</script>
		
</body> 

</html> 